Package org.jbpm.process.instance.command

## Class GetProcessInstanceVariableCommand

- java.lang.Object
- - org.jbpm.process.instance.command.GetProcessInstanceVariableCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<Object>`, `org.kie.api.command.ExecutableCommand<Object>`, `org.kie.internal.command.ProcessInstanceIdCommand`

      public class GetProcessInstanceVariableCommand
      extends Object
      implements org.kie.api.command.ExecutableCommand<Object>, org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetProcessInstanceVariableCommand()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `execute​(org.kie.api.runtime.Context context)` |
    `Long` | `getProcessInstanceId()` |
    `String` | `getVariableId()` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `void` | `setVariableId​(String variableId)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetProcessInstanceVariableCommand

          public GetProcessInstanceVariableCommand()

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### getVariableId

          public String getVariableId()

    - #### setVariableId

          public void setVariableId​(String variableId)

    - #### execute

          public Object execute​(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.kie.api.command.ExecutableCommand<Object>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`